<?php
declare(strict_types=1);

namespace app\common\model;

use think\facade\Config;
use think\facade\Db;

use app\common\model\Base;
use app\common\model\Article;

class TagArticle extends Base
{
    protected $pk = 'atid';

    protected $schema = [
        'atid'   => "int",
        "infoid" => "int",
        "cid"    => "int",
        "tagid"  => "int",
    ];

    protected $autoWriteTimestamp = false;

    public function article()
    {
        return $this->belongsTo('Article', 'infoid')->bind(['id','title','titlepic','summary','hits','create_time','username']);
    }

    public function category()
    {
        return $this->belongsTo('Category', 'cid')->bind(['category_url'=>'url','category_name'=>'name']);
    }

    public static function queryList($tagid)
    {
        $limit = (int) Config::get('app.page_size', 20);

        return self::with(['article','category'])->where('tagid', $tagid)->order('infoid DESC')->limit($limit)->paginate();
    }
}
